API ReferenceapiintegrationsGET /v1/labs/orders

GET /v1/labs/orders

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Caller’s lab orders, newest first

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "patient_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "panel_slug": {
            "type": "string"
          },
          "junction_order_id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "total_cents": {
            "type": [
              "integer",
              "null"
            ]
          },
          "currency": {
            "type": [
              "string",
              "null"
            ]
          },
          "tracking_number": {
            "type": [
              "string",
              "null"
            ]
          },
          "result_bloodwork_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          },
          "completed_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "brand_id",
          "user_id",
          "patient_id",
          "panel_slug",
          "junction_order_id",
          "status",
          "total_cents",
          "currency",
          "tracking_number",
          "result_bloodwork_id",
          "created_at",
          "updated_at",
          "completed_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

401 Unauthenticated

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://integrations.platform.loop.health/v1/labs/orders \
  -H "Authorization: Bearer $ACCESS_TOKEN"